Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/47_switch_return.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/47_switch_return.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/47_switch_return.c	(revision 331)
@@ -0,0 +1,24 @@
+#include <stdio.h>
+
+void fred(int x)
+{
+   switch (x)
+   {
+      case 1: printf("1\n"); return;
+      case 2: printf("2\n"); break;
+      case 3: printf("3\n"); return;
+   }
+
+   printf("out\n");
+}
+
+int main()
+{
+   fred(1);
+   fred(2);
+   fred(3);
+
+   return 0;
+}    
+
+/* vim: set expandtab ts=4 sw=3 sts=3 tw=80 :*/
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/47_switch_return.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/47_switch_return.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/47_switch_return.expect	(revision 331)
@@ -0,0 +1,4 @@
+1
+2
+out
+3
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/48_nested_break.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/48_nested_break.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/48_nested_break.c	(revision 331)
@@ -0,0 +1,26 @@
+#include <stdio.h>
+
+int main()
+{
+   int a;
+   char b;
+
+   a = 0;
+   while (a < 2)
+   {
+      printf("%d", a++);
+      break;
+
+      b = 'A';
+      while (b < 'C')
+      {
+         printf("%c", b++);
+      }
+      printf("e");
+   }
+   printf("\n");
+
+   return 0;
+}
+
+/* vim: set expandtab ts=4 sw=3 sts=3 tw=80 :*/
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/48_nested_break.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/48_nested_break.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/48_nested_break.expect	(revision 331)
@@ -0,0 +1,1 @@
+0
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/49_bracket_evaluation.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/49_bracket_evaluation.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/49_bracket_evaluation.c	(revision 331)
@@ -0,0 +1,23 @@
+#include <stdio.h>
+
+struct point
+{
+   double x;
+   double y;
+};
+
+struct point point_array[100];
+
+int main()
+{
+   int my_point = 10;
+
+   point_array[my_point].x = 12.34;
+   point_array[my_point].y = 56.78;
+
+   printf("%f, %f\n", point_array[my_point].x, point_array[my_point].y);
+
+   return 0;
+}
+
+/* vim: set expandtab ts=4 sw=3 sts=3 tw=80 :*/
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/49_bracket_evaluation.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/49_bracket_evaluation.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/49_bracket_evaluation.expect	(revision 331)
@@ -0,0 +1,1 @@
+12.340000, 56.780000
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/50_logical_second_arg.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/50_logical_second_arg.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/50_logical_second_arg.c	(revision 331)
@@ -0,0 +1,29 @@
+#include <stdio.h>
+
+int fred()
+{
+   printf("fred\n");
+   return 0;
+}
+
+int joe()
+{
+   printf("joe\n");
+   return 1;
+}
+
+int main()
+{
+   printf("%d\n", fred() && joe());
+   printf("%d\n", fred() || joe());
+   printf("%d\n", joe() && fred());
+   printf("%d\n", joe() || fred());
+   printf("%d\n", fred() && (1 + joe()));
+   printf("%d\n", fred() || (0 + joe()));
+   printf("%d\n", joe() && (0 + fred()));
+   printf("%d\n", joe() || (1 + fred()));
+
+   return 0;
+}
+
+/* vim: set expandtab ts=4 sw=3 sts=3 tw=80 :*/
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/50_logical_second_arg.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/50_logical_second_arg.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/50_logical_second_arg.expect	(revision 331)
@@ -0,0 +1,20 @@
+fred
+0
+fred
+joe
+1
+joe
+fred
+0
+joe
+1
+fred
+0
+fred
+joe
+1
+joe
+fred
+0
+joe
+1
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/51_static.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/51_static.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/51_static.c	(revision 331)
@@ -0,0 +1,30 @@
+#include <stdio.h>
+
+static int fred = 1234;
+static int joe;
+
+void henry()
+{
+   static int fred = 4567;
+
+   printf("%d\n", fred);
+   fred++;
+}
+
+int main()
+{
+   printf("%d\n", fred);
+   henry();
+   henry();
+   henry();
+   henry();
+   printf("%d\n", fred);
+   fred = 8901;
+   joe = 2345;
+   printf("%d\n", fred);
+   printf("%d\n", joe);
+
+   return 0;
+}
+
+/* vim: set expandtab ts=4 sw=3 sts=3 tw=80 :*/
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/51_static.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/51_static.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/51_static.expect	(revision 331)
@@ -0,0 +1,8 @@
+1234
+4567
+4568
+4569
+4570
+1234
+8901
+2345
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/52_unnamed_enum.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/52_unnamed_enum.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/52_unnamed_enum.c	(revision 331)
@@ -0,0 +1,27 @@
+#include <stdio.h>
+
+enum fred { a, b, c };
+
+int main()
+{
+   printf("a=%d\n", a);
+   printf("b=%d\n", b);
+   printf("c=%d\n", c);
+
+   enum fred d;
+
+   typedef enum { e, f, g } h;
+   typedef enum { i, j, k } m;
+
+   printf("e=%d\n", e);
+   printf("f=%d\n", f);
+   printf("g=%d\n", g);
+
+   printf("i=%d\n", i);
+   printf("j=%d\n", j);
+   printf("k=%d\n", k);
+
+   return 0;
+}
+
+/* vim: set expandtab ts=4 sw=3 sts=3 tw=80 :*/
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/52_unnamed_enum.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/52_unnamed_enum.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/52_unnamed_enum.expect	(revision 331)
@@ -0,0 +1,9 @@
+a=0
+b=1
+c=2
+e=0
+f=1
+g=2
+i=0
+j=1
+k=2
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/54_goto.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/54_goto.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/54_goto.c	(revision 331)
@@ -0,0 +1,56 @@
+#include <stdio.h>
+
+void fred()
+{
+   printf("In fred()\n");
+   goto done;
+   printf("In middle\n");
+done:
+   printf("At end\n");
+}
+
+void joe()
+{
+   int b = 5678;
+
+   printf("In joe()\n");
+
+   {
+      int c = 1234;
+      printf("c = %d\n", c);
+      goto outer;
+      printf("uh-oh\n");
+   }
+
+outer:    
+
+   printf("done\n");
+}
+
+void henry()
+{
+   int a;
+
+   printf("In henry()\n");
+   goto inner;
+
+   {
+      int b;
+inner:    
+      b = 1234;
+      printf("b = %d\n", b);
+   }
+
+   printf("done\n");
+}
+
+int main()
+{
+   fred();
+   joe();
+   henry();
+
+   return 0;
+}
+
+/* vim: set expandtab ts=4 sw=3 sts=3 tw=80 :*/
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/54_goto.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/54_goto.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/54_goto.expect	(revision 331)
@@ -0,0 +1,8 @@
+In fred()
+At end
+In joe()
+c = 1234
+done
+In henry()
+b = 1234
+done
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/55_lshift_type.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/55_lshift_type.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/55_lshift_type.c	(revision 331)
@@ -0,0 +1,52 @@
+/* $Id$
+
+Tests on left-shift type, written by Vincent Lefevre <vincent@vinc17.net>.
+
+ISO C99 TC3 says: [6.5.7#3] "The integer promotions are performed on
+each of the operands. The type of the result is that of the promoted
+left operand."
+*/
+
+#include <stdio.h>
+
+#define PTYPE(M) ((M) < 0 || -(M) < 0 ? -1 : 1) * (int) sizeof((M)+0)
+#define CHECK(X,T) check(#X, PTYPE(X), PTYPE((X) << (T) 1))
+#define TEST1(X,T) do { CHECK(X,T); CHECK(X,unsigned T); } while (0)
+#define TEST2(X)                 \
+  do                             \
+    {                            \
+      TEST1((X),short);          \
+      TEST1((X),int);            \
+      TEST1((X),long);           \
+      TEST1((X),long long);      \
+    }                            \
+  while (0)
+#define TEST3(X,T) do { TEST2((T)(X)); TEST2((unsigned T)(X)); } while (0)
+#define TEST4(X)                 \
+  do                             \
+    {                            \
+      TEST3((X),short);          \
+      TEST3((X),int);            \
+      TEST3((X),long);           \
+      TEST3((X),long long);      \
+    }                            \
+ while (0)
+
+static int debug, nfailed = 0;
+
+static void check (const char *s, int arg1, int shift)
+{
+  int failed = arg1 != shift;
+  if (debug || failed)
+    printf ("%s %d %d\n", s, arg1, shift);
+  nfailed += failed;
+}
+
+int main (int argc, char **argv)
+{
+  debug = argc > 1;
+  TEST4(1);
+  TEST4(-1);
+  printf ("%d test(s) failed\n", nfailed);
+  return nfailed != 0;
+}
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/55_lshift_type.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/55_lshift_type.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/55_lshift_type.expect	(revision 331)
@@ -0,0 +1,1 @@
+0 test(s) failed
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/60_errors_and_warnings.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/60_errors_and_warnings.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/60_errors_and_warnings.c	(revision 331)
@@ -0,0 +1,51 @@
+#if defined test_56_btype_excess_1
+struct A {} int i;
+
+#elif defined test_57_btype_excess_2
+char int i;
+
+#elif defined test_58_function_redefinition
+int f(void) { return 0; }
+int f(void) { return 1; }
+
+#elif defined test_global_redefinition
+int xxx = 1;
+int xxx;
+int xxx = 2;
+
+#elif defined test_59_function_array
+int (*fct)[42](int x);
+
+#elif defined test_60_enum_redefinition
+enum color { RED, GREEN, BLUE };
+enum color { R, G, B };
+enum color c;
+
+#elif defined test_62_enumerator_redefinition
+enum color { RED, GREEN, BLUE };
+enum rgb { RED, G, B};
+enum color c = RED;
+
+#elif defined test_63_local_enumerator_redefinition
+enum {
+    FOO,
+    BAR
+};
+
+int main(void)
+{
+    enum {
+        FOO = 2,
+        BAR
+    };
+
+    return BAR - FOO;
+}
+
+#elif defined test_61_undefined_enum
+enum rgb3 c = 42;
+
+#elif defined test_74_non_const_init
+int i = i++;
+
+#endif
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/60_errors_and_warnings.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/60_errors_and_warnings.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/60_errors_and_warnings.expect	(revision 331)
@@ -0,0 +1,28 @@
+[test_56_btype_excess_1]
+60_errors_and_warnings.c:2: error: too many basic types
+
+[test_57_btype_excess_2]
+60_errors_and_warnings.c:5: error: too many basic types
+
+[test_58_function_redefinition]
+60_errors_and_warnings.c:9: error: redefinition of 'f'
+
+[test_global_redefinition]
+60_errors_and_warnings.c:14: error: redefinition of 'xxx'
+
+[test_59_function_array]
+60_errors_and_warnings.c:17: error: declaration of an array of functions
+
+[test_60_enum_redefinition]
+60_errors_and_warnings.c:21: error: struct/union/enum already defined
+
+[test_62_enumerator_redefinition]
+60_errors_and_warnings.c:26: error: redefinition of enumerator 'RED'
+
+[test_63_local_enumerator_redefinition]
+
+[test_61_undefined_enum]
+60_errors_and_warnings.c:46: error: unknown type size
+
+[test_74_non_const_init]
+60_errors_and_warnings.c:49: error: initializer element is not constant
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/64_macro_nesting.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/64_macro_nesting.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/64_macro_nesting.c	(revision 331)
@@ -0,0 +1,12 @@
+#include <stdio.h>	// printf()
+
+#define CAT2(a,b) a##b
+#define CAT(a,b) CAT2(a,b)
+#define AB(x) CAT(x,y)
+
+int main(void)
+{
+  int xy = 42;
+  printf("%d\n", CAT(A,B)(x));
+  return 0;
+}
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/64_macro_nesting.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/64_macro_nesting.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/64_macro_nesting.expect	(revision 331)
@@ -0,0 +1,1 @@
+42
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/67_macro_concat.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/67_macro_concat.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/67_macro_concat.c	(revision 331)
@@ -0,0 +1,14 @@
+#include <stdio.h>
+
+#define P(A,B) A ## B ; bob
+#define Q(A,B) A ## B+
+
+int main(void)
+{
+    int bob, jim = 21;
+    bob = P(jim,) *= 2;
+    printf("jim: %d, bob: %d\n", jim, bob);
+    jim = 60 Q(+,)3;
+    printf("jim: %d\n", jim);
+    return 0;
+}
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/67_macro_concat.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/67_macro_concat.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/67_macro_concat.expect	(revision 331)
@@ -0,0 +1,2 @@
+jim: 21, bob: 42
+jim: 63
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/70_floating_point_literals.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/70_floating_point_literals.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/70_floating_point_literals.c	(revision 331)
@@ -0,0 +1,77 @@
+#include <stdio.h>
+
+int main()
+{
+    /* decimal floating constant */
+    float fa0 = .123f;
+    float fa1 = .123E12F;
+    float fa2 = .123e-12f;
+    float fa3 = .123e+12f;
+    printf("%f\n%f\n%f\n%f\n\n", fa0, fa1, fa2, fa3);
+
+    float fb0 = 123.123f;
+    float fb1 = 123.123E12F;
+    float fb2 = 123.123e-12f;
+    float fb3 = 123.123e+12f;
+    printf("%f\n%f\n%f\n%f\n\n", fb0, fb1, fb2, fb3);
+
+    float fc0 = 123.f;
+    float fc1 = 123.E12F;
+    float fc2 = 123.e-12f;
+    float fc3 = 123.e+12f;
+    printf("%f\n%f\n%f\n%f\n\n", fc0, fc1, fc2, fc3);
+
+    float fd0 = 123E12F;
+    float fd1 = 123e-12f;
+    float fd2 = 123e+12f;
+    printf("%f\n%f\n%f\n\n", fd0, fd1, fd2);
+    printf("\n");
+
+    /* hexadecimal floating constant */
+    double da0 = 0X.1ACP12;
+    double da1 = 0x.1acp-12;
+    double da2 = 0x.1acp+12;
+    printf("%f\n%f\n%f\n\n", da0, da1, da2);
+
+    double db0 = 0X1AC.BDP12;
+    double db1 = 0x1ac.bdp-12;
+    double db2 = 0x1ac.dbp+12;
+    printf("%f\n%f\n%f\n\n", db0, db1, db2);
+
+    double dc0 = 0X1AC.P12;
+    double dc1 = 0x1ac.p-12;
+    double dc2 = 0x1ac.p+12;
+    printf("%f\n%f\n%f\n\n", dc0, dc1, dc2);
+
+    double dd0 = 0X1ACP12;
+    double dd1 = 0x1acp-12;
+    double dd2 = 0x1acp+12;
+    printf("%f\n%f\n%f\n\n", dd0, dd1, dd2);
+    printf("\n");
+
+#ifdef __TINYC__
+    /* TCC extension
+       binary floating constant */
+    long double la0 = 0B.110101100P12L;
+    long double la1 = 0b.110101100p-12l;
+    long double la2 = 0b.110101100p+12l;
+    printf("%Lf\n%Lf\n%Lf\n\n", la0, la1, la2);
+
+    long double lb0 = 0B110101100.10111101P12L;
+    long double lb1 = 0b110101100.10111101p-12l;
+    long double lb2 = 0b110101100.10111101p+12l;
+    printf("%Lf\n%Lf\n%Lf\n\n", lb0, lb1, lb2);
+
+    long double lc0 = 0B110101100.P12L;
+    long double lc1 = 0b110101100.p-12l;
+    long double lc2 = 0b110101100.p+12l;
+    printf("%Lf\n%Lf\n%Lf\n\n", lc0, lc1, lc2);
+
+    long double ld0 = 0B110101100P12L;
+    long double ld1 = 0b110101100p-12l;
+    long double ld2 = 0b110101100p+12l;
+    printf("%Lf\n%Lf\n%Lf\n\n", ld0, ld1, ld2);
+#endif
+
+    return 0;
+}
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/70_floating_point_literals.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/70_floating_point_literals.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/70_floating_point_literals.expect	(revision 331)
@@ -0,0 +1,53 @@
+0.123000
+122999996416.000000
+0.000000
+122999996416.000000
+
+123.123001
+123122997002240.000000
+0.000000
+123122997002240.000000
+
+123.000000
+123000003231744.000000
+0.000000
+123000003231744.000000
+
+123000003231744.000000
+0.000000
+123000003231744.000000
+
+
+428.000000
+0.000026
+428.000000
+
+1756112.000000
+0.104672
+1756592.000000
+
+1753088.000000
+0.104492
+1753088.000000
+
+1753088.000000
+0.104492
+1753088.000000
+
+
+3424.000000
+0.000204
+3424.000000
+
+1756112.000000
+0.104672
+1756112.000000
+
+1753088.000000
+0.104492
+1753088.000000
+
+1753088.000000
+0.104492
+1753088.000000
+
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/71_macro_empty_arg.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/71_macro_empty_arg.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/71_macro_empty_arg.c	(revision 331)
@@ -0,0 +1,9 @@
+#include <stdio.h>
+
+#define T(a,b,c) a b c
+
+int main(void)
+{
+    printf("%d", T(1,+,2) T(+,,) T(,2,*) T(,7,) T(,,));
+    return 0;
+}
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/71_macro_empty_arg.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/71_macro_empty_arg.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/71_macro_empty_arg.expect	(revision 331)
@@ -0,0 +1,1 @@
+17
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/72_long_long_constant.c
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/72_long_long_constant.c	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/72_long_long_constant.c	(revision 331)
@@ -0,0 +1,19 @@
+#include <stdio.h>
+
+int main()
+{
+    long long int res = 0;
+
+    if (res < -2147483648LL) {
+        printf("Error: 0 < -2147483648\n");
+        return 1;
+    }
+    else
+    if (2147483647LL < res) {
+        printf("Error: 2147483647 < 0\n");
+        return 2;
+    }
+    else
+        printf("long long constant test ok.\n");
+    return 0;
+}
Index: EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/72_long_long_constant.expect
===================================================================
--- EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/72_long_long_constant.expect	(revision 331)
+++ EcnlProtoTool/trunk/tcc-0.9.27/tests/tests2/72_long_long_constant.expect	(revision 331)
@@ -0,0 +1,1 @@
+long long constant test ok.
